const getters = {
  sidebar: state => state.app.sidebar,
  language: state => state.app.language,
  size: state => state.app.size,
  device: state => state.app.device,
  visitedViews: state => state.tagsView.visitedViews,
  cachedViews: state => state.tagsView.cachedViews,
  token: state => state.user.token,
  avatar: state => state.user.avatar,
  name: state => state.user.name,
  introduction: state => state.user.introduction,
  roles: state => state.user.roles,
  permission_routes: state => state.permission.routes,
  errorLogs: state => state.errorLog.logs,
  allAuthorities: state => state.authority.allAuthorities,
  allRoles: state => state.role.allRoles,
  allUsers: state => state.user.allUsers,
  allDataTypes: state => state.dataType.allDataTypes,
  rootDevices: state => state.device.rootDevices,
  deviceList: state => state.device.deviceList,
  allDataSources: state => state.dataSource.allDataSources,
  dataTypeDTOs: state => state.dataType.dataTypeDTOs
}
export default getters
